#include <bits/stdc++.h>

using namespace std;

int main() {
	int T,N,M,N1,M1,N2,M2;
	cin>>T;
	if(T>3){
		return -1;
	}
	if(T==1){
		cin>>N>>M;
		int matrica[N][M];
		for(int k=0;k<1000;k++){
			if((N==k && M>k) || (M==k && N>k)){
				return -1;
			}
		}
		for(int i=0;i<N;i++){
			for(int j=0;j<M;i++){
				if(i%2==0){
					cout<<1;
				}
				else{
					cout<<0;
				}
			}
			cout<<endl;
		}
	}
	else if(T==2){
		cin>>N>>M>>N1>>M2;
		bool temp=true;
		int matrica[N][M];
		for(int k=0;k<1000;k++){
			if((N==k && M>k) || (M==k && N>k)){
				temp=false;
			}
		}
		bool temp1=true;
		for(int k=0;k<1000;k++){
			if((N1==k && M1>k) || (M1==k && N1>k)){
				temp1=false;
			}
		}
		if(temp==false){
			cout<<-1<<endl;
		}
		if(temp1==false){
			cout<<-1<<endl;
		}
	}
	else{
		cin>>N>>M>>N1>>M1>>N2>>M2;
	}
return 0;
}